--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: comparison_class
- !ruby/object:RI::MethodSummary 
  name: new
- !ruby/object:RI::MethodSummary 
  name: slugs
comment: 
- !ruby/struct:SM::Flow::P 
  body: An abstract class which provides easy access to comparison operators
- !ruby/struct:SM::Flow::P 
  body: "@example Creating a new comparison"
- !ruby/struct:SM::Flow::VERB 
  body: "  Comparison.new(:eql, MyClass.my_property, &quot;value&quot;)\n"
constants: []

full_name: DataMapper::Query::Conditions::Comparison
includes: []

instance_methods: []

name: Comparison
superclass: Object
